using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.KA
{
    public class LineK03 : LKFLine
    {
        internal LineK03 (string line) : base (line)
        {

        }
    }

    public class LineSatzartK03 : LineSatzart
    {
        internal LineSatzartK03(LineType type) : base(type, 3)
        {

        }

        protected override LKFLine CreateLine(string line)
        {
            return new LineK03(line);
        }

        public LineK03 First
        {
            get
            {
                foreach (var l in Lines) return l as LineK03;
                return null;
            }
        }
    }
}
